%bcond_with check

%global goipath         github.com/z-division/go-zookeeper
Version:                1.0.0

%gometa

%global common_description %{expand:
Package Zk provides a native client for connecting to a Zookeeper quorum.}

%global golicenses      LICENSE
%global godocs          examples README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Native ZooKeeper client for Go

License:        BSD
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Aug 19 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
